Page MenuHomePhabricator

Create a maintenance script for populating the local_user_id and global_user_id fields in the centralauth localuser table
Closed, ResolvedPublic5 Story Points

Description

Once T141951 is done, we'll need to run a maintenance script to fill in the data for the existing users in the centralauth database.

This task is to write a batched maintenance script for that purpose.

Event Timeline

kaldari created this task.Aug 9 2016, 5:40 PM
DannyH triaged this task as Normal priority.Aug 9 2016, 5:40 PM
DannyH moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
DannyH set the point value for this task to 5.Aug 9 2016, 5:43 PM
DannyH moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Niharika claimed this task.Sep 2 2016, 1:37 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Moving this to Ready and working on T142507: Have CentralAuth populate the local_user_id and global_user_id columns as new users are attached first per Legoktm's code review:

I would suggest 3 patches: 1) schema change 2) update code to populate the fields whenever it writes those rows (account creation) 3) a maintenance script to back-populate everything that already exists.

Change 316375 had a related patch set uploaded (by Niharika29):
[WIP] Populate local and global ids in localuser table

https://gerrit.wikimedia.org/r/316375

kaldari closed this task as Resolved.Oct 27 2016, 4:38 AM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Change 316375 merged by jenkins-bot:
Populate local and global ids in localuser table

https://gerrit.wikimedia.org/r/316375

DannyH moved this task from Estimated to Archive on the Community-Tech board.Nov 8 2016, 11:28 PM